## camera-ui 1.1.29.2+0cssu15

=== debian/changelog ===
camera-ui (1.1.29.2+0cssu15) unstable; urgency=low

  * get NOKIA_CAMERA_DIR and NOKIA_MMC_CAMERA_DIR for internal and external
    storage location

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Wed, 26 Sep 2012 20:38:41 +0200

camera-ui (1.1.29.2+0cssu14) unstable; urgency=low

  * Fix packaging.
  * use maemo-invoker
  * code cleanup
  * fix invalid object usage in preview window

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Tue, 13 Sep 2012 16:34:17 +0300

camera-ui (1.1.29.2+0cssu13) unstable; urgency=low

  * fixed bug: viewfinder isn't shown after deleted current image
    in the preview window.

 -- Nicolai Hess <nicolaihess@web.de>  Sat, 21 Apr 2012 16:56:55 +0200

camera-ui (1.1.29.2+0cssu12) unstable; urgency=low

  * fixes: incorrect video resolution label in settings dialog

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Mon, 26 Mar 2012 10:37:05 +0300

camera-ui (1.1.29.2+0cssu11) unstable; urgency=low

  * fixed bug "not enough memory" if memory card is not
    available

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sat, 25 Feb 2012 17:32:21 +0100

camera-ui (1.1.29.2+0cssu10) unstable; urgency=low

  * Pause tracker when recording.
  * Use bitrate calculations for HD resolutions.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Mon, 02 Jan 2012 15:39:33 +0200

camera-ui (1.1.29.2+0cssu9) unstable; urgency=low

  * possible fix for bug 12516 (better handling of unwritable
    memory cards)

 -- Nicolai Hess <nicolaihess@web.de>  Fri, 02 Dec 2011 23:56:20 +0100

camera-ui (1.1.29.2+0cssu8) unstable; urgency=low

  * fix bug 12318 open lid dialog has no close button

 -- Nicolai Hess <nicolaihess@web.de>  Tue, 22 Nov 2011 23:05:22 +0100

camera-ui (1.1.29.2+0cssu7) unstable; urgency=low

  * fix bug 12428 Corrupted video after camera app switches to background

 -- Nicolai Hess <nicolaihess@web.de>  Sun, 18 Sep 2011 15:45:34 +0200

camera-ui (1.1.29.2+0cssu6) unstable; urgency=low

  * fix bug 12381 camera-ui overwrites already existing files

 -- Nicolai Hess <nicolaihess@web.de>  Tue, 13 Sep 2011 21:08:54 +0200

camera-ui (1.1.29.2+0cssu5) unstable; urgency=low

  * (Un)suspend camera-ui when screen is (un)locked.
  * New shortcut key (h) toggles red indicator.
  * camera-ui does not start when camkey is pressed while screen is locked.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Mon, 08 Aug 2011 15:51:47 +0300

camera-ui (1.1.29.2+0cssu4) unstable; urgency=low

  * fixed: remaining recording time isn't updated while recording
  * fixed: recording doesn't stop automatically when now more space left
    on device
  * fixed: image capture / video recording starts even when lenscover is closed
  * add information banner when no more space left on device

 -- Nicolai Hess <nicolaihess@web.de>  Tue,  3 May 2011 23:47:56 +0200

camera-ui (1.1.29.2+0cssu3) unstable; urgency=low

  * add sound effects (focus done, capture, start recording)
  * moved focus distance label to upper right corner
  * shorter autofocus delay (changed from 1 sec to 0.5 sec)
  * reset recording timer when recording stops

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sun,  1 May 2011 23:22:29 +0200

camera-ui (1.1.29.2+0cssu2) unstable; urgency=low

  * Use camera key to close preview window.
  * Check if what gnomevfs returns is NULL, otherwise the app segfaults.
  * Disable display blanking while recording video.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sun, 17 Apr 2011 03:07:55 +0300

camera-ui (1.1.29.2+0cssu1) unstable; urgency=low

  * Initial Release.

 -- Nicolai Hess <nicolaihess@web.de>  Sat, 19 Feb 2011 22:56:31 +0100

## camera-ui 1.1.29.2+0cssu18

=== Makefile ===
DESKTOP_FILE_PATH=$(shell pkg-config osso-af-settings --variable=desktopentrydir)
DBUS_SERVICE_DIR=$(shell pkg-config osso-af-settings --variable=dbusservicedir)
EXEC_DIR=/usr/bin
SUBDIRS= src
BUILDDIR=build
BIN=camera-ui

all: create_builddir subdirs

install: all
	install -d $(DESTDIR)/$(EXEC_DIR)
	install -m 755 $(BUILDDIR)/$(BIN) $(DESTDIR)/$(EXEC_DIR)
	install -d $(DESTDIR)/$(DESKTOP_FILE_PATH)
	install -m 644 data/camera-ui.desktop $(DESTDIR)/$(DESKTOP_FILE_PATH)
	install -d $(DESTDIR)/$(DBUS_SERVICE_DIR)
	install -m 644 data/com.nokia.camera-ui.service $(DESTDIR)/$(DBUS_SERVICE_DIR)
	install -d $(DESTDIR)/etc/X11/Xsession.post
	install -m 644 data/17camera-ui $(DESTDIR)/etc/X11/Xsession.post/
	install -d $(DESTDIR)/etc/sudoers.d
	install -m 644 data/camera-ui.sudoers $(DESTDIR)/etc/sudoers.d
	install -d $(DESTDIR)/usr/bin
	install -m 755 data/camera-ui-set-priority $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/share/icons/hicolor/48x48/hildon
	install -m 644 data/48x48/camera_iso1600.png $(DESTDIR)/usr/share/icons/hicolor/48x48/hildon/
	install -m 644 data/48x48/camera_iso800.png $(DESTDIR)/usr/share/icons/hicolor/48x48/hildon/
	install -m 644 data/48x48/camera_isoAuto.png $(DESTDIR)/usr/share/icons/hicolor/48x48/hildon/
	install -m 644 data/48x48/camera_iso1600_pressed.png $(DESTDIR)/usr/share/icons/hicolor/48x48/hildon/
	install -m 644 data/48x48/camera_iso800_pressed.png $(DESTDIR)/usr/share/icons/hicolor/48x48/hildon/
	install -m 644 data/48x48/camera_isoAuto_pressed.png $(DESTDIR)/usr/share/icons/hicolor/48x48/hildon/
	install -d $(DESTDIR)/usr/share/icons/hicolor/32x32/hildon
	install -m 644 data/32x32/camera_iso1600.png $(DESTDIR)/usr/share/icons/hicolor/32x32/hildon/
	install -m 644 data/32x32/camera_iso800.png $(DESTDIR)/usr/share/icons/hicolor/32x32/hildon/
	install -m 644 data/32x32/camera_isoAuto.png $(DESTDIR)/usr/share/icons/hicolor/32x32/hildon/

subdirs: $(SUBDIRS)

$(SUBDIRS):
	$(MAKE) -C $@

create_builddir:
	mkdir -p build

.PHONY: all clean install $(SUBDIRS)

clean:
	rm -rf build
	for d in $(SUBDIRS); do (cd $$d; $(MAKE) clean); done

=== src/Makefile ===
SOURCES=camera-main.c\
        camera-ui2-window.c\
        camera-ui2-gconf-settings.c\
        camera-ui2-settings-dialog.c\
        camera-ui2-helper.c\
        camera-interface.c\
        dbus-helper.c\
        geotagging-helper.c\
        storage-helper.c\
        pmdw.c\
        sound-helper.c\
        camera-ui2-preview-window.c

OBJS=camera-main.o\
     camera-ui2-window.o\
     camera-ui2-gconf-settings.o\
     camera-ui2-settings-dialog.o\
     camera-ui2-helper.o\
     camera-interface.o\
     pmdw.o\
     dbus-helper.o\
     geotagging-helper.o\
     storage-helper.o\
     sound-helper.o\
     camera-ui2-preview-window.o

BUILDDIR=../build
BIN=$(BUILDDIR)/camera-ui
CC=gcc
PKG_FLAGS=$(shell pkg-config maemo-launcher-app glib-2.0 hildon-1 libhildondesktop-1 libosso gdigicam-0.3 gdigicam-gst-camerabin-0.3 mce sharingdialog liblocation navigation hal gnome-vfs-2.0 libcanberra profile libhildonmime --libs --cflags)
CFLAGS := $(CFLAGS) -DGST_USE_UNSTABLE_API

all:$(BIN) $(LIB)

$(BIN):$(OBJS)
	$(CC) $(CFLAGS) $(PKG_FLAGS) $(OBJS) -o $(BIN)

.c.o:
	$(CC) $(CFLAGS) $(PKG_FLAGS) -c $< -o $@

.PHONE: clean all

clean:
	rm $(OBJS)

=== debian/changelog ===
camera-ui (1.1.29.2+0cssu18) unstable; urgency=low

  * fix HD codecs bitrate calculation
  * do not use unreffed object

 -- Ivaylo Dimitrov <ivo.g.dimitrov.75@gmail.com>  Tue, 27 Sep 2014 17:02:22 +0300

camera-ui (1.1.29.2+0cssu17) unstable; urgency=low

  * Do not print GLIB WARNING messages to syslog when changing profile

 -- Pali Rohár <pali.rohar@gmail.com>  Thu, 24 Oct 2013 23:07:05 +0200

camera-ui (1.1.29.2+0cssu16) unstable; urgency=low

  * If NOKIA_CAMERA_DIR or NOKIA_MMC_CAMERA_DIR variable is not defined, fallback to DCIM

 -- Pali Rohár <pali.rohar@gmail.com>  Tue, 04 Jun 2013 17:49:00 +0200

=== debian/control ===
Source: camera-ui
Section: misc
Priority: extra
Maintainer: Nicolai Hess <nicolaihess@web.de>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libdbus-1-dev,
 libgconf2-dev, libosso-dev, libgdigicam-dev (>=0.3.29.2), libgdigicam-gst-camerabin-dev (>=0.3.29.2),
 libcanberra-dev, libprofile-dev, linux-kernel-headers, libhildondesktop1-dev,
 libhal-dev, mce-dev, liblocation-dev, libnavigation-dev, sharing-dialog-dev,
 gstreamer0.10-plugins-camera-dev, libgstreamer-plugins-base0.10-dev, libhildonmime-dev,
 maemo-launcher-dev, osso-af-settings
Standards-Version: 3.7.2

Package: camera-ui
Architecture: any
Section: misc
Depends: ${shlibs:Depends}, ${misc:Depends}, policy-l10n-mr | policy-l10n-mr0, hildon-status-bar-usb-l10n-mr | hildon-status-bar-usb-l10n-mr0,
 osso-camera-ui-l10n-mr0 | osso-camera-ui-l10n-mr, hildon-fm-l10n-mr0 | hildon-fm-l10n-mr,
 hildon-common-strings-l10n-mr0 | hildon-common-strings-l10n-mr, hildon-libs-l10n-mr0 | hildon-libs-l10n-mr,
 hildon-common-strings-l10n-mr0 | hildon-common-strings-l10n-mr, hildon-libs-l10n-mr0 | hildon-libs-l10n-mr,
 profile-data, hildon-status-bar-usb-l10n-mr | hildon-status-bar-usb-l10n-mr0, policy-l10n-mr | policy-l10n-mr0
Description: Camera UI application
 camera-ui is an application intended to work as a modern digital
 camera, taking high resolution pictures and recording video.
 .
 This package contains the binaries for the Camera UI application
 .
 Open source clone developed by Nicolai Hess
XSBC-Bugtracker: mailto:nicolaihess@web.de

Package: camera-ui-dbg
Architecture: any
Section: devel
Depends: camera-ui (= ${Source-Version})
Description: Debug symbols for Camera UI application
 Package containing debugging symbols for camera-ui.

## camera-ui 1.1.29.2+0cssu18+thumb0

=== debian/changelog ===
camera-ui (1.1.29.2+0cssu18+thumb0) unstable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <ivo.g.dimitrov.75@gmail.com>  Tue, 27 Sep 2014 17:05:14 +0300

camera-ui (1.1.29.2+0cssu17+thumb0) unstable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sun, 29 Dec 2013 19:11:45 +0200

camera-ui (1.1.29.2+0cssu15+thumb0) unstable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Tue, 25 Dec 2012 12:32:32 +0200

camera-ui (1.1.29.2+0cssu14+thumb0) unstable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Tue, 13 Sep 2012 16:53:22 +0300

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,8 @@
  osso-camera-ui-l10n-mr0 | osso-camera-ui-l10n-mr, hildon-fm-l10n-mr0 | hildon-fm-l10n-mr,
  hildon-common-strings-l10n-mr0 | hildon-common-strings-l10n-mr, hildon-libs-l10n-mr0 | hildon-libs-l10n-mr,
  hildon-common-strings-l10n-mr0 | hildon-common-strings-l10n-mr, hildon-libs-l10n-mr0 | hildon-libs-l10n-mr,
- profile-data, hildon-status-bar-usb-l10n-mr | hildon-status-bar-usb-l10n-mr0, policy-l10n-mr | policy-l10n-mr0
+ profile-data, hildon-status-bar-usb-l10n-mr | hildon-status-bar-usb-l10n-mr0, policy-l10n-mr | policy-l10n-mr0,
+ kernel-feature-errata-430973-workaround[armel]
 Description: Camera UI application
  camera-ui is an application intended to work as a modern digital
  camera, taking high resolution pictures and recording video.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

CFLAGS = -Werror -Wall -Wno-error=format-extra-args -g

ifeq (,$(findstring nolauncher,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -shared -rdynamic
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -mthumb
endif

export CFLAGS

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/camera-ui2.sgml > camera-ui2.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/camera-ui.
	$(MAKE) DESTDIR=$(CURDIR)/debian/camera-ui install

	#use maemo launcher
	dh_maemolauncher

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install -s
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip --dbg-package=camera-ui
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
